<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class BillGroupRefund extends Model
{
    protected $table = 'bill_group_refunds';
    
    /**
     * @return BelongsTo
     */
    public function billGroup(): BelongsTo
    {
        return $this->BelongsTo(BillGroup::class, 'bill_group_id', 'id');
    }

    /**
     * @return BelongsTo
     */
    public function transaction(): BelongsTo
    {
        return $this->BelongsTo(Transaction::class, 'transaction_id', 'id');
    }
}
